Audiofile 0.3.x transition

Bug #922036 reported by Alessio Treglia on 2012-01-26
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
audiofile (Debian)
Fix Released
Unknown
audiofile (Ubuntu)
Medium
Unassigned
ayttm (Ubuntu)
Undecided
Unassigned
beast (Ubuntu)
Undecided
Unassigned
cynthiune.app (Ubuntu)
Undecided
Unassigned
djplay (Ubuntu)
Undecided
Unassigned
dopewars (Ubuntu)
Undecided
Unassigned
ecasound (Ubuntu)
Undecided
Unassigned
esound (Ubuntu)
Undecided
Martin Pitt
festival (Ubuntu)
Undecided
Unassigned
fuse-emulator-utils (Ubuntu)
Undecided
Unassigned
galan (Ubuntu)
Undecided
Unassigned
glame (Ubuntu)
Medium
Unassigned
gnubiff (Ubuntu)
Undecided
Unassigned
gnuboy (Ubuntu)
Undecided
Unassigned
gpe-conf (Ubuntu)
Undecided
Unassigned
gretl (Ubuntu)
Undecided
Unassigned
hamfax (Ubuntu)
Undecided
Unassigned
hydrogen (Ubuntu)
Undecided
Unassigned
kwave (Ubuntu)
Undecided
Unassigned
libsdl1.2 (Ubuntu)
Undecided
Unassigned
libspectrum (Ubuntu)
Undecided
Unassigned
lush (Ubuntu)
Undecided
Unassigned
mixxx (Ubuntu)
Undecided
Unassigned
mpd (Ubuntu)
Undecided
Unassigned
pommed (Ubuntu)
Undecided
Unassigned
sawfish (Ubuntu)
Undecided
Unassigned
soundmodem (Ubuntu)
Undecided
Unassigned
speech-tools (Ubuntu)
Undecided
Unassigned
swami (Ubuntu)
Undecided
Unassigned
terminatorx (Ubuntu)
Undecided
Unassigned
timidity (Ubuntu)
Undecided
Unassigned
xabacus (Ubuntu)
Undecided
Unassigned
xpuzzles (Ubuntu)
Undecided
Unassigned

Bug Description

Hi,

due to an ABI change, the latest audiofile release uploaded to Debian has bump'd the SONAME of the shared library.

It would be good to have the new audiofile available in Precise and to achieve that we need to sort out things before syncing the package and then rebuild a bunch of packages once the new shared library joined the next release.

A list of packages affected by this transition will follow.

description: updated
description: updated
Changed in audiofile (Debian):
status: Unknown → New
Alessio Treglia (quadrispro) wrote :

Dear release managers,

could I target this bug to precise-alpha-2 or precise-beta-1?

Does it affect any seeded packages? If not, take your pick. If so, can you
have the seeded packages transitioned before the Alpha 2 freeze?

Alessio Treglia (quadrispro) wrote :

Some of those above might touch one (or more) UbuntuStudio's seeds.

These packages seem not to have part in any Ubuntu's seed.

Alessio Treglia (quadrispro) wrote :

I've also filed bug #922078 for removing glame.

Changed in glame (Ubuntu):
importance: Undecided → Medium
status: New → Triaged

On Thursday, January 26, 2012 01:46:31 PM you wrote:
> Some of those above might touch one (or more) UbuntuStudio's seeds.

Then please check with the Ubuntu Studio devs and make sure. If they are OK
with it, I'm OK with it.

Changed in audiofile (Ubuntu):
status: New → Triaged
Janne Jokitalo (astraljava) wrote :

hydrogen, xjadeo and gimp-gap are seeded by us.

What other steps are needed to make sure everything runs okay?

Alessio Treglia (quadrispro) wrote :

On Thu, Jan 26, 2012 at 6:17 PM, Janne Jokitalo <email address hidden> wrote:
> hydrogen, xjadeo and gimp-gap are seeded by us.

gimp-gap and xjadeo don't have a direct dependency on libaudiofile0.

> What other steps are needed to make sure everything runs okay?

No one. We are ready to go.

Thank you Janne!

--
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | <email address hidden>
Ubuntu Core Developer    | <email address hidden>
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A

Janne Jokitalo (astraljava) wrote :

On Thu, Jan 26, 2012 at 05:17:50PM -0000, Janne Jokitalo wrote:
> hydrogen, xjadeo and gimp-gap are seeded by us.

...and according to the discussion on IRC, hydrogen really is the only one
directly affected by this change.

--
Jaska

Alessio Treglia (quadrispro) wrote :

This bug was fixed in the package audiofile - 0.3.3-2

---------------
audiofile (0.3.3-2) unstable; urgency=low

  * Move sfinfo and sfconvert tools into a new audiofile-tools package;
    thanks to Jakub Wilk for having reported this (Closes: #656883).
    - The utilities provided by audiofile-tools are not needed
      by the shared library to work properly, so there's no
      need to set a Multi-Arch: foreign field.

 -- Alessio Treglia <email address hidden> Sun, 22 Jan 2012 20:50:31 +0100

audiofile (0.3.3-1) unstable; urgency=low

  * Upload to unstable.
  * Remove debian/README.* files, which contain outdate information.
  * Remove audiofile-config's manpage, it is no longer provided.
  * Don't install TODO as -dev's doc file.

 -- Alessio Treglia <email address hidden> Fri, 20 Jan 2012 21:43:29 +0100

audiofile (0.3.3-1~exp1) experimental; urgency=low

  * New upstream release.
  * SONAME bump.
  * Add pkg-config to libaudiofile-dev's Recommends field.
  * Move debugging symbols from libaudiofile0-dbg to unversioned
    libaudiofile-dbg.
  * Remove obsolete Conflicts/Replaces on libaudiofile0 (<= 0.2.3-4)
    from libaudiofile-dev's stanza.

 -- Alessio Treglia <email address hidden> Thu, 12 Jan 2012 10:26:34 +0100

audiofile (0.3.2-1) experimental; urgency=low

  * New maintainer, thanks to Daniel Kobras for the great work.
  * New upstream stable release.
  * Update debian/watch.
  * Remove debian/patches, all patches are obsolete or adopted upstream.
  * Drop libaudiofile0.symbols, use dh_makeshlibs -V for now.
  * Drop audiofile.m4 as it's no longer provided.
  * Build-Depends on libasound2-dev to build the example program.
  * Don't provide static library anymore.
  * Add MultiArch support. (Closes: #651029) (LP: #900153)
  * Add ${shlibs:Depends} to the -DEV's Depends field.
  * Pass --enable-static=no to configure.
  * Update debian/copyright.
  * Enable parallel builds.

 -- Alessio Treglia <email address hidden> Thu, 05 Jan 2012 13:03:34 +0100

Changed in audiofile (Ubuntu):
status: Triaged → Fix Released
Janne Jokitalo (astraljava) wrote :

On Thu, Jan 26, 2012 at 05:37:18PM -0000, Alessio Treglia wrote:
> On Thu, Jan 26, 2012 at 6:17 PM, Janne Jokitalo <email address hidden> wrote:
> > hydrogen, xjadeo and gimp-gap are seeded by us.
>
> gimp-gap and xjadeo don't have a direct dependency on libaudiofile0.

Yes, thanks for that lesson. Good to know! :)

> > What other steps are needed to make sure everything runs okay?
>
> No one. We are ready to go.

Ok, excellent!

> Thank you Janne!

Thanks to you, Alessio and Scott!

--
Jaska

Alessio Treglia (quadrispro) wrote :

This bug was fixed in the package ayttm - 0.6.3-3

---------------
ayttm (0.6.3-3) unstable; urgency=low

  * debian/copyright:
    + Updated DEP-5 format URL.
    + Fixed missing fields in copyright paragraphs for DEP-5 format.
  * debian/control, debian/rules:
    + Added chrpath dependency, removed rpath from ayttm binary.

 -- Kartik Mistry <email address hidden> Sun, 22 Jan 2012 11:30:04 +0530

Changed in ayttm (Ubuntu):
status: New → Fix Released
Alessio Treglia (quadrispro) wrote :

This bug was fixed in the package beast - 0.7.4-4

Changed in beast (Ubuntu):
status: New → Fix Released
Alessio Treglia (quadrispro) wrote :

This bug was fixed in the package ecasound - 2.8.1-5

---------------
ecasound (2.8.1-5) unstable; urgency=low

  * Install the ecasignalview executable (Closes: #652943)

 -- Alessandro Ghedini <email address hidden> Thu, 22 Dec 2011 11:35:54 +0100

Changed in ecasound (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package swami - 2.0.0+svn384-2ubuntu2

---------------
swami (2.0.0+svn384-2ubuntu2) precise; urgency=low

  * Rebuild for audiofile transition. (LP: #922036)
 -- Alessio Treglia <email address hidden> Thu, 26 Jan 2012 22:49:43 +0100

Changed in swami (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package esound - 0.2.41-10build1

---------------
esound (0.2.41-10build1) precise; urgency=low

  * Rebuild for audiofile transition (LP: #922036)
 -- Alessio Treglia <email address hidden> Thu, 26 Jan 2012 23:34:05 +0100

Changed in esound (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lush - 1.2.1-9+cvs20110227+nmu1build1

---------------
lush (1.2.1-9+cvs20110227+nmu1build1) precise; urgency=low

  * Rebuild for audiofile transition (LP: #922036).
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 00:37:20 +0100

Changed in lush (Ubuntu):
status: New → Fix Released
Alessio Treglia (quadrispro) wrote :

Fixed with terminatorx 3.82-7.4ubuntu2

Changed in terminatorx (Ubuntu):
status: New → Fix Released
Alessio Treglia (quadrispro) wrote :

Fixed with djplay 0.5.0-3.2build1

Changed in djplay (Ubuntu):
status: New → Fix Released
Changed in timidity (Ubuntu):
assignee: nobody → Alessio Treglia (quadrispro)
status: New → Fix Committed
Changed in cynthiune.app (Ubuntu):
status: New → Fix Released
Changed in galan (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package timidity - 2.13.2-40build2

---------------
timidity (2.13.2-40build2) precise; urgency=low

  * Rebuild to pick audiofile's new shlib (LP: #922036).
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 11:21:19 +0100

Changed in timidity (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mixxx - 1.10.0~dfsg0-1build1

---------------
mixxx (1.10.0~dfsg0-1build1) precise; urgency=low

  * Rebuild to pick audiofile's new shlib (LP: #922036).
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 11:28:15 +0100

Changed in mixxx (Ubuntu):
status: New → Fix Released
Changed in xabacus (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package speech-tools - 1:2.1~release-2build2

---------------
speech-tools (1:2.1~release-2build2) precise; urgency=low

  * Rebuild for audiofile transition (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 12:28:23 +0100

Changed in speech-tools (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sawfish - 1:1.5.3-2build1

---------------
sawfish (1:1.5.3-2build1) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 12:33:47 +0100

Changed in sawfish (Ubuntu):
status: New → Fix Released
Alessio Treglia (quadrispro) wrote :

This bug was fixed in the package kwave - 0.8.7-1-2

---------------
kwave (0.8.7-1-2) unstable; urgency=low

  * Upload to unstable
    - part of audiofile transition
  * cleanup debian/watch - debian-watch-contains-dh_make-template
  * Drop unused references to common-licences/
  * Added +spelling-error-in-binary.diff
  * dh_overide_strip manually remove unneeded and .comment
    - fixes unstripped-binary-or-object
  * Drop unused-override
  * Revert #634787 - pbuilder doesn't like solution

 -- Mark Purcell <email address hidden> Thu, 26 Jan 2012 13:28:30 +1100

kwave (0.8.7-1-1) experimental; urgency=low

  * lca2012 release

  * New upstream release
    - Fixes "FTBFS: VirtualAudioFile.cpp:209:24: error:" (Closes: #655657)
      - Build-Depends: libaudiofile-dev (>> 0.3.0)
  * Upload to experimental for libaudio depends
  * NEW package kwave-dbg
  * Fix "debian/control uses hardcoded list of non-Linux architectures"
    Build-Depends: libfoo-dev [linux-any] (Closes: #634787)

 -- Mark Purcell <email address hidden> Wed, 18 Jan 2012 15:16:24 +1100

Changed in kwave (Ubuntu):
status: New → Fix Released
Alessio Treglia (quadrispro) wrote :

gnubiff is no longer part of any Ubuntu release.
Closing.

Changed in gnubiff (Ubuntu):
status: New → Won't Fix
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libspectrum - 1.0.0-2build1

---------------
libspectrum (1.0.0-2build1) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 12:36:56 +0100

Changed in libspectrum (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnuboy - 1.0.3-6build1

---------------
gnuboy (1.0.3-6build1) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 12:41:14 +0100

Changed in gnuboy (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package soundmodem - 0.16-1build1

---------------
soundmodem (0.16-1build1) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 12:42:07 +0100

Changed in soundmodem (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libsdl1.2 - 1.2.14-6.4ubuntu3

---------------
libsdl1.2 (1.2.14-6.4ubuntu3) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 12:43:59 +0100

Changed in libsdl1.2 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pommed - 1.39~dfsg-2build1

---------------
pommed (1.39~dfsg-2build1) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 12:45:10 +0100

Changed in pommed (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mpd - 0.16.5-1ubuntu2

---------------
mpd (0.16.5-1ubuntu2) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 12:46:39 +0100

Changed in mpd (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hamfax - 0.8.1-1build1

---------------
hamfax (0.8.1-1build1) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 12:47:37 +0100

Changed in hamfax (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gretl - 1.9.6-1build1

---------------
gretl (1.9.6-1build1) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 12:48:42 +0100

Changed in gretl (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gpe-conf - 0.2.9-1build1

---------------
gpe-conf (0.2.9-1build1) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 12:50:46 +0100

Changed in gpe-conf (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fuse-emulator-utils - 1.0.0-3build1

---------------
fuse-emulator-utils (1.0.0-3build1) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 12:52:21 +0100

Changed in fuse-emulator-utils (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xpuzzles - 7.6.3-1build1

---------------
xpuzzles (7.6.3-1build1) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 12:53:15 +0100

Changed in xpuzzles (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hydrogen - 0.9.5-4build1

---------------
hydrogen (0.9.5-4build1) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 12:58:14 +0100

Changed in hydrogen (Ubuntu):
status: New → Fix Released
Changed in timidity (Ubuntu):
assignee: Alessio Treglia (quadrispro) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package festival - 1:2.1~release-1ubuntu2

---------------
festival (1:2.1~release-1ubuntu2) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)
 -- Alessio Treglia <email address hidden> Fri, 27 Jan 2012 13:00:35 +0100

Changed in festival (Ubuntu):
status: New → Fix Released
Changed in audiofile (Debian):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Seems the previous esound upload didn't catch it yet:

Package: libesd0
Depends: libasound2 (>> 1.0.24.1), libaudiofile0, [...]

Changed in esound (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: Fix Released → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package esound - 0.2.41-10build2

---------------
esound (0.2.41-10build2) precise; urgency=low

  * Rebuild for audiofile transition (LP: #922036)
 -- Martin Pitt <email address hidden> Mon, 13 Feb 2012 11:17:15 +0100

Changed in esound (Ubuntu):
status: In Progress → Fix Released
Changed in audiofile (Debian):
status: Fix Committed → Fix Released
Colin Watson (cjwatson) wrote :
Changed in glame (Ubuntu):
status: Triaged → Fix Released
Stefano Rivera (stefanor) wrote :

Marking dopewars as fix released. It's been rebuilt in quantal.

Changed in dopewars (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.